API Explorer 936 endpoints

Get Routing Schemes

GET /obp/v7.0.0/routing-schemes

OBPv7.0.0-getRoutingSchemes No role required Routing-Scheme

Lists registered routing schemes.

Query parameters (all optional):

  • country — ISO 3166-1 alpha-2, e.g. TZ
  • category — ACCOUNT, BANK, BRANCH, IDENTITY, BILL, UTILITY
  • status — defaults to ACTIVE. Pass ALL to include DEPRECATED and RETIRED.
  • rail — match against the downstream_rails list (e.g. TIPS, RTGS)
  • limit (default 100, max 500), offset (default 0)

User Authentication is Optional. The User need not be logged in.

JSON response body fields (11)
address_pattern
address_pattern
category
country
Germany
example_address
example_address
limit
100
offset
100
pagination
pagination
routing_schemes
routing_schemes
scheme
OBP
status
total
total
Example success response
{
  "routing_schemes": [
    {
      "scheme": "TZ.MSISDN",
      "country": "TZ",
      "category": "ACCOUNT",
      "status": "ACTIVE",
      "address_pattern": "^255[0-9]{9}$",
      "example_address": "255778300336"
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 100,
    "offset": 0
  }
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 getRoutingSchemes